/* UTILITIES */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-wrap: nowrap;
}

.error-message {

    border: 1px solid black;
    background-color: yellow;
    height: 5vh;
    font-size: 2vh;
    place-content: center;
    padding: 0 1vw;
}

.form-error-close-button{
    border: none;
    background-color: yellow;
    right: 0;
    font-size: 0.8vw;
}

.form-error-close-button:hover {
    cursor: pointer;
}

.form-error-message {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 70vw;
    padding: 0.2vw;
    margin: 0.2vw;
    font-size: 0.8vw;
    background-color: yellow;
}

.debug{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
}
.debug>span {
    font-size: 2vw;
    padding: 0.5vw;
}

:root{
    --menu-text-size: 0.75vw;
    --menu-header-size: 1.25vw;

    --table-text-size: 1vw;


    /* BACKGROUND COLORS */
        --background-color: #E6F4EC;
        --background-tier-1: #D4ECDF;
        --background-tier-2: #C3E4D1;
        --background-tier-3: #B1DDC4;
        --background-tier-4: #a0d4bb;

        --menu-color: #3F3C3E;
    
        /* COLORS */
        --white: #F5F5F5;
        --green: #12A155;
}

span{
    font-family: Tahoma, Verdana, sans-serif;
}

body{
    font-family: Tahoma, Verdana, sans-serif;
            background-color: var(--background-tier-2);
    overflow: hidden;
}



a {
    text-decoration: none;
    color: white;
}

li {
    list-style: none;
}


/* LOADER----------------------- */
.loader {
  border: 16px solid #f3f3f3;
  border-radius: 50%;
  border-top: 16px solid #00ee00;
  border-right: 16px solid 	#00cd00;
  border-bottom: 16px solid #008b00;
  border-left: 16px solid #006400;
  width: 120px;
  height: 120px;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;
}


/* Safari */
@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

#load{
    width:100%;
    height:100%;
    display: flex;
    position:fixed;
    justify-content: center;
    align-items: center;
    position: fixed;
    background: var(--background-tier-2);
    z-index: 9999;
}

.loader-container {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    background: var(--background-tier-2);
    z-index: 1;
}
